Skip to main content
Topic: Can you download spotify playlists as mp3?  (Read 310 times) previous topic - next topic

Can you download spotify playlists as mp3?

What app do I need to do it? Or are there any codes I can run to make such app?

Re: Can you download spotify playlists as mp3?

Reply #1
AllToMP3 gets the job done



Re: Can you download spotify playlists as mp3?

Reply #4
I have it but when I start downloading it turns into a white screen and doesn't download the full playlist

Odd..Maybe unistall and reinstall?

Re: Can you download spotify playlists as mp3?

Reply #5
https://github.com/ritiek/spotify-downloader
It was working yesterday today I get an error message

It says this:

Traceback (most recent call last):
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\command_line\core.py", line 346, in download_tracks_from_file
    metadata = search_metadata.on_youtube_and_spotify()
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\metadata_search.py", line 89, in on_youtube_and_spotify
    metadata = caller()
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\metadata_search.py", line 186, in _on_youtube_and_spotify_for_type_spotify
    youtube_metadata = self.providers["youtube"].from_url(youtube_video["url"])
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\metadata\providers\youtube.py", line 230, in from_url
    content = pytube.YouTube(url)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\pytube\__main__.py", line 91, in __init__
    self.prefetch()
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\pytube\__main__.py", line 162, in prefetch
    self.watch_html = request.get(url=self.watch_url)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\pytube\request.py", line 36, in get
    return _execute_request(url).read().decode("utf-8")
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\pytube\request.py", line 24, in _execute_request
    return urlopen(request)  # nosec
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 223, in urlopen
    return opener.open(url, data, timeout)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 532, in open
    response = meth(req, response)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 642, in http_response
    'http', request, response, code, msg, hdrs)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 564, in error
    result = self._call_chain(*args)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 504, in _call_chain
    result = func(*args)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 756, in http_error_302
    return self.parent.open(new, timeout=req.timeout)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 532, in open
    response = meth(req, response)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 642, in http_response
    'http', request, response, code, msg, hdrs)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 570, in error
    return self._call_chain(*args)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 504, in _call_chain
    result = func(*args)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\urllib\request.py", line 650, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 429: Too Many Requests

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "C:\Users\d4red\AppData\Local\Programs\Python\Python36\Scripts\spotdl.exe\__main__.py", line 9, in <module>
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\command_line\__main__.py", line 48, in main
    spotdl.match_arguments()
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\command_line\core.py", line 79, in match_arguments
    self.arguments["list"],
  File "c:\users\d4red\appdata\local\programs\python\python36\lib\site-packages\spotdl\command_line\core.py", line 349, in download_tracks_from_file
    logger.exception(e.args[0])
IndexError: tuple index out of range

 

Re: Can you download spotify playlists as mp3?

Reply #6
I think they’ve been having issues lately. It is maintained by a group of programmers. You can try running:

Code: [Select]
 pip3 install spotdl -U